> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Historical funding rates

> Returns list of historical funding rates for given market.



## OpenAPI

````yaml /openapi/futures-rest.yaml get /historical-funding-rates
openapi: 3.1.0
info:
  title: Kraken Futures Trading API
  version: v3
  description: Market data and order management endpoints.
servers:
  - url: https://futures.kraken.com/derivatives/api/v3
    description: Kraken Futures
    x-kfOnly: true
security: []
tags:
  - name: Multi-Collateral
    description: Endpoints pertaining to the multi-collateral (MC) futures markets.
  - name: Instrument Details
    description: >-
      - The `/instruments/status` endpoint provides a list of statuses for all
      instruments.

      - The `/instruments/{symbol}/status` endpoint provides the status of a
      single instrument.
  - name: Account Information
  - name: Assignment Program
  - name: Fee Schedules
    description: >-
      **DEPRECATED** — Effective 2026-06-22, the fee values returned by these

      endpoints no longer reflect the fees actually charged on Futures trades.

      Futures fee calculation has been migrated to a centralised Kraken fee

      service.


      To determine the fee rate applied to your trades, use the Spot

      [`GetTradeVolume`](https://docs.kraken.com/api/docs/rest-api/get-trade-volume)

      endpoint authenticated with a Spot API key.
  - name: General
  - name: Historical Data
  - name: Historical Funding Rates
  - name: Market Data
  - name: Order Management
  - name: Trading Settings
  - name: Subaccounts
  - name: Transfers
  - name: RFQs
paths:
  /historical-funding-rates:
    get:
      tags:
        - Historical Funding Rates
      summary: Historical funding rates
      description: Returns list of historical funding rates for given market.
      operationId: historicalFundingRates
      parameters:
        - $ref: '#/components/parameters/MarketSymbolQueryRequired'
      responses:
        '200':
          description: Historical funding rates for given market.
          content:
            application/json:
              schema:
                title: Success Response
                allOf:
                  - type: object
                    properties:
                      rates:
                        description: >-
                          A list containing structures with historical funding
                          rate information.

                          The list is sorted ascending by timestamp.
                        type: array
                        items:
                          $ref: '#/components/schemas/HistoricalFundingRateJson'
                    required:
                      - rates
                  - $ref: '#/components/schemas/SuccessResponse'
              examples:
                success:
                  $ref: '#/components/examples/HistoricalFundingRatesExample'
        '400':
          description: Symbol is invalid or does not reference a perpetual market.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    MarketSymbolQueryRequired:
      description: Market symbol.
      name: symbol
      in: query
      required: true
      schema:
        $ref: '#/components/schemas/MarketSymbol'
  schemas:
    HistoricalFundingRateJson:
      type: object
      properties:
        fundingRate:
          $ref: '#/components/schemas/DecimalDouble'
          description: The absolute funding rate for the listed time period
        relativeFundingRate:
          $ref: '#/components/schemas/DecimalDouble'
          description: The relative funding rate for the listed time period
        timestamp:
          description: Start of the period to which the funding rate applies.
          type: string
          format: date-time
      required:
        - fundingRate
        - relativeFundingRate
        - timestamp
    SuccessResponse:
      allOf:
        - $ref: '#/components/schemas/ResultSuccess'
        - $ref: '#/components/schemas/ServerTime'
    ErrorResponse:
      allOf:
        - title: Errors
          type: object
          properties:
            errors:
              type: array
              items:
                $ref: '#/components/schemas/Error'
            error:
              $ref: '#/components/schemas/Error'
          required:
            - error
        - $ref: '#/components/schemas/ResultError'
        - $ref: '#/components/schemas/ServerTime'
    MarketSymbol:
      description: Market symbol
      type: string
      pattern: '[A-Z0-9_.]+'
      example: PF_BTCUSD
    DecimalDouble:
      type: number
      format: double
      example: 12.03532
    ResultSuccess:
      type: object
      properties:
        result:
          type: string
          enum:
            - success
          example: success
      required:
        - result
    ServerTime:
      type: object
      properties:
        serverTime:
          description: Server time in Coordinated Universal Time (UTC)
          type: string
          format: date-time
          example: '2020-08-27T17:03:33.196Z'
      required:
        - serverTime
    Error:
      type: string
      description: |-
        Error description.

          - `accountInactive`: The Futures account the request refers to is inactive
          - `apiLimitExceeded`: The API limit for the calling IP address has been exceeded
          - `authenticationError`: The request could not be authenticated
          - `insufficientFunds`: The amount requested for transfer is below the amount of funds available
          - `invalidAccount`: The Futures account the transfer request refers to is invalid
          - `invalidAmount`: The amount the transfer request refers to is invalid
          - `invalidArgument`: One or more arguments provided are invalid
          - `invalidUnit`: The unit the transfer request refers to is invalid
          - `Json Parse Error`: The request failed to pass valid JSON as an argument
          - `marketUnavailable`: The market is currently unavailable
          - `nonceBelowThreshold`: The provided nonce is below the threshold
          - `nonceDuplicate`: The provided nonce is a duplicate as it has been used in a previous request
          - `notFound`: The requested information could not be found
          - `requiredArgumentMissing`: One or more required arguments are missing
          - `Server Error`: There was an error processing the request
          - `Unavailable`: The endpoint being called is unavailable
          - `unknownError`: An unknown error has occurred
      enum:
        - accountInactive
        - apiLimitExceeded
        - authenticationError
        - insufficientFunds
        - invalidAccount
        - invalidAmount
        - invalidArgument
        - invalidUnit
        - Json Parse Error
        - marketUnavailable
        - nonceBelowThreshold
        - nonceDuplicate
        - notFound
        - requiredArgumentMissing
        - Server Error
        - Unavailable
        - unknownError
    ResultError:
      type: object
      properties:
        result:
          type: string
          enum:
            - error
          example: error
      required:
        - result
  examples:
    HistoricalFundingRatesExample:
      value:
        result: success
        serverTime: '2022-06-28T09:29:04.243Z'
        rates:
          - timestamp: '2022-06-28T00:00:00.000Z'
            fundingRate: -8.15861558e-10
            relativeFundingRate: -0.000016898883333333
          - timestamp: '2022-06-28T04:00:00.000Z'
            fundingRate: -2.6115278e-11
            relativeFundingRate: -5.40935416667e-7
          - timestamp: '2022-06-28T08:00:00.000Z'
            fundingRate: -4.08356853e-10
            relativeFundingRate: -0.000008521190625

````